Results 1 to 8 of 8

Thread: Where can I find libreadline.so.6 (64bit)

  1. #1

    Default Where can I find libreadline.so.6 (64bit)

    I can't play .wav files. When I open Amarok it says can't initialize audio.

    When I try to update xine I get a dependency error on libreadline.so.6(64)

    I have libreadline.so.5 installed.

    I have the packman and libdvdcss repositories set up.

    It took me a while to get to this point. First I tried all the one click and other instructions here, always the same error.

    Oddly, most other video media seems to play fine, with sound.

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Where can I find libreadline.so.6 (64bit)

    Quote Originally Posted by dougnc View Post
    I can't play .wav files. When I open Amarok it says can't initialize audio.

    When I try to update xine I get a dependency error on libreadline.so.6(64)

    I have libreadline.so.5 installed.

    I have the packman and libdvdcss repositories set up.

    It took me a while to get to this point. First I tried all the one click and other instructions here, always the same error.

    Oddly, most other video media seems to play fine, with sound.
    This sort of dependency error typically only occurs in one of two cases:
    a. the packager made a mistake, or
    b. the user has way too many inappropriate repositories installed.

    Typically, 95% of the time, it is case-b.

    Reduce your repositories to ONLY OSS, Non-OSS, Update, and Packman, and disable ALL other repositories. Then reinstall amarok, libxine1, amarok-packman, amarok-xine.

    That hopefully will sort things.

    Note libreadline.so.6 can come with libreadline5 which is in the OSS directory. The fact it is messed up in your software package manager is a strong HINT that your repositories are messed up, by having too many repositories. In case you did not know, OSS, Non-OSS and Update typically get far better testing than any other repository. Packman have a good reputation. The remaining repositories are IMHO typically not as good as those 4 when it comes to not having dependency conflicts.

    I always recommend users stick with the basic OSS, Non-OSS, Update, and Packman, and NO OTHERS (none ! none at all ! ) , unless they know how to detect and solve repository problems induced by having too many repositories.

  3. #3

    Default Re: Where can I find libreadline.so.6 (64bit)

    Thanks. But I did exactly what you said, except I enable the nvidea repository. I first installed just the packages you named, but no sound. Then I tried to update all the xine stuff and got the same error.

  4. #4
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Where can I find libreadline.so.6 (64bit)

    Quote Originally Posted by dougnc View Post
    Thanks. But I did exactly what you said, except I enable the nvidea repository. I first installed just the packages you named, but no sound. Then I tried to update all the xine stuff and got the same error.
    Were we you able to install amarok and xine without the dependency error ?

    Does most other video media still seems to play fine, with sound ?

    Did you change the sound engine in Amarok to xine ?

  5. #5

    Default Re: Where can I find libreadline.so.6 (64bit)

    Quote Originally Posted by oldcpu View Post
    Were we you able to install amarok and xine without the dependency error ?

    Does most other video media still seems to play fine, with sound ?

    Did you change the sound engine in Amarok to xine ?
    The packages you listed updated without error. But Amarok still wouldn't play wav files.

    When I tried to update all the xine modules, I got the same dependency error.

    Everything else works fine, and with sound.

    The only sound engine available in Amarok is xine.

    I wonder if I'm somehow just missing the codecs? I've tried all the one click installs and followed many directions on install restricted media.

  6. #6
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Where can I find libreadline.so.6 (64bit)

    Quote Originally Posted by dougnc View Post
    The packages you listed updated without error. But Amarok still wouldn't play wav files.
    Typically .wav is the one format that "just works" without special codecs. Are you certain these .wav files are ok and are not constructed inappropriately ?

    If you are certain advise, and then there are many apps we may ask for you to provide the version numbers to see what is wrong with your install. Typically (as I already noted) when something like this happens it is because a user had way too many inappropriate repositories, and then installed a bunch of things. So even if one goes back to a small repository list, it is TOO LATE, one already has inappropriate app versions installed.

    Quote Originally Posted by dougnc View Post
    When I tried to update all the xine modules, I got the same dependency error.
    Tried to update what xine modules? Specifically, what rpms? And what repos did you have in place when you tried this? What is the output of: "zypper lr -d" ? I assume you confirm from that "zypper lr -d" command that you have only OSS, Non-OSS, Update and packman and nothing else?

    Quote Originally Posted by dougnc View Post
    I wonder if I'm somehow just missing the codecs? I've tried all the one click installs and followed many directions on install restricted media.
    I NEVER use one-click. One click adds additional repositories on a temporary basis, and makes the assumption that one only has OSS, Non-OSS, and Update as repositories. Any other repos in place may mean that one-click will not work properly.

    My recommendation is you are now advanced enough that you do not need one-click, so stay away from it. Instead use as a baseline the 4 repos I mentioned (OSS, Non-OSS, Update and Packman), and add other respos only on an adhoc basis for a brief time while installing one or more apps that you may need off of the "added repository", and then immediately remove the repository aftward. That is what the one click "tries" to do, but its not always as successful, and one does NOT have the same control over the repos when one uses the one-click, as opposed to a simple zypper or YaST Software Manager update.

  7. #7

    Default Re: Where can I find libreadline.so.6 (64bit)

    Well, maybe I should reinstall again. For the hundredth time. :-)

    Besides the ones you've mentioned, what repositories do I need to get compiz running? I have to have the 3d desktop!

  8. #8
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Where can I find libreadline.so.6 (64bit)

    Quote Originally Posted by dougnc View Post
    Well, maybe I should reinstall again. For the hundredth time. :-)
    There should be no need to re-install, unless you installed many applications that are not part of the basic openSUSE install.

    Quote Originally Posted by dougnc View Post
    Besides the ones you've mentioned, what repositories do I need to get compiz running? I have to have the 3d desktop!
    Just the 4 repos (OSS, Non-OSS, Update, Packman) that I recommend. If you want to add other repositories then you will need advice from other people than myself. And note you take a risk when you add others that can cause functionality to break.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •